petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMSNESGetJacobianLocal

the local Jacobian evaluation function set with DMSNESSetJacobianLocal.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode DMSNESGetJacobianLocal(DM dm,PetscErrorCode (**func)(DM,Vec,Mat,Mat,void*),void **ctx)

Logically Collective

### Input Arguments

| dm | - DM with the associated callback

### Output Arguments

| func | - local Jacobian evaluation
| ctx | - context for local Jacobian evaluation

### See Also

DMSNESSetJacobianLocal(), DMDASNESSetJacobian(), DMDACreate1d(), DMDACreate2d(), DMDACreate3d()

### Level

beginner

### Location

src/snes/utils/dmlocalsnes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages